<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical"
    tools:context=".activity.recovery.FileScanResultActivity">

    <View
        android:layout_width="match_parent"
        android:layout_height="40dp" />

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <FrameLayout
            android:id="@+id/fl_fanhui"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="15dp"
            tools:ignore="UselessParent">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/quit"
                tools:ignore="ContentDescription" />

        </FrameLayout>

        <TextView
            android:id="@+id/tv_tittle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:textSize="16sp"
            android:textStyle="bold"
            tools:text="Photo Recovery" />

    </FrameLayout>

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="123dp"
        android:layout_marginHorizontal="16dp"
        android:layout_marginTop="16dp"
        app:cardBackgroundColor="#F0F3FA"
        app:cardCornerRadius="10dp"
        app:cardElevation="0dp">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/ll_finish"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:orientation="horizontal"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="UseCompoundDrawables">

                <ImageView
                    android:id="@+id/iv_wancheng"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginEnd="8dp"
                    android:src="@mipmap/wancheng"
                    android:visibility="gone"
                    tools:ignore="ContentDescription" />

                <TextView
                    android:id="@+id/tv_scanning"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:text="Scanning"
                    android:textColor="@color/black"
                    android:textSize="16sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

            </LinearLayout>

            <View
                android:id="@+id/line"
                android:layout_width="1px"
                android:layout_height="28dp"
                android:background="#C8CBD2"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/ll_finish" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                app:layout_constraintBottom_toBottomOf="@+id/line"
                app:layout_constraintEnd_toStartOf="@+id/line"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="@id/line">

                <TextView
                    android:id="@+id/tv_file_number"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:text="0"
                    android:textColor="@color/black"
                    android:textSize="23sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:id="@+id/tv_file_type"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="8dp"
                    android:textColor="#768294"
                    android:textSize="14sp"
                    android:textStyle="bold"
                    tools:text="Photos" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                app:layout_constraintBottom_toBottomOf="@+id/line"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/line"
                app:layout_constraintTop_toTopOf="@id/line">

                <TextView
                    android:id="@+id/tv_folder_number"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:text="0"
                    android:textColor="@color/black"
                    android:textSize="23sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="8dp"
                    android:text="Folders"
                    android:textColor="#768294"
                    android:textSize="14sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

            </LinearLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>


    </androidx.cardview.widget.CardView>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            tools:listitem="@layout/item_folder_recovery" />

        <LinearLayout
            android:id="@+id/fl_empty"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:orientation="vertical"
            android:visibility="gone"
            tools:ignore="UseCompoundDrawables">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:src="@mipmap/queshengye"
                tools:ignore="ContentDescription" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:text="File no found"
                android:textColor="@color/black"
                android:textSize="16sp"
                tools:ignore="HardcodedText" />

        </LinearLayout>

    </FrameLayout>

</LinearLayout>